Subject: Re: [PATCH v2 3/3] sh_eth: use managed device API

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 22 Mar 2013 01:43:54 +0300

Hello.

On 03/22/2013 12:35 AM, David Miller wrote:

>
>> Switch the driver to the managed device API by replacing ioremap() calls with
>> devm_ioremap_resource() (which will also result in calling request_mem_region()
>> which the driver forgot to do until now) and k[mz]alloc() with devm_kzalloc() --
>> this permits to simplify driver's probe()/remove() method cleanup. We can now
>> remove the ioremap() error messages since the error messages are printed by
>>   devm_ioremap_resource() itself. We can also remove the 'bitbang' field from
>> 'struct sh_eth_private' as we don't need it anymore in order to free the memory
>> behind it...
>>
>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>>
>> ---
>> Changes since initial posting:
>> - removed unused 'mdp' variable in sh_eth_drv_remove().
>>
>> Sorry, I seem to have missed the unused variable warning... :-/
> I already applied your original patch.

    Thanks, you're really quick. Maybe too quick. :-)

> Please read your email before posting new versions of patches.

    I'm monitoring my mail constantly but was just somewhat carried away
by testing a new patch when I suddenly saw the warning and went on to
fix it immediately. Unfortunately, it was already too late. :-(

> You have to send me a relative fix since your patches are applied
> already.

    Will send in a jiffy...

WBR, Sergei